Name: tux
Version: 0.1
Release: 1
Summary: User-space component of TUX kernel-based threaded HTTP server
Copyright: GPL
Group: System Environment/Daemons
Source: tux-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig

ExclusiveArch: i386

%description
TUX is a kernel-based, threaded, extremely high performance HTTP server.
It is able to efficiently and safely serve both static and dynamic data.
TUX moves the HTTP protocol stack to the kernel, and can handle requests
for data with both kernel-space and user-space modules.

This is a preview release of TUX, and is not yet considered ready for
production environments.  New versions will be released regularily;
see http://www.redhat.com/mailing-lists/list_subscribe.html for
instructions on subscribing to tux-list@redhat.com if you wish to
test or otherwise make use of TUX.

%prep
%setup

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install TOPDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tux

%preun
if [ "$1" = 0 ]; then
    service tux stop > /dev/null 2>&1
    /sbin/chkconfig --del tux
fi

%postun
if [ "$1" -ge "1" ]; then
    service tux condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/*
%attr(0755,root,root) /etc/rc.d/init.d/*
%attr(0644,root,root) /etc/sysconfig/*
%attr(0644,root,root) /usr/share/man/man*/*
%attr(0644,root,root) /usr/include/*
%attr(0644,root,root) %doc tux.README demo.c samples/sample.log samples/sample.out docs/tux

%changelog
* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial release
